summaryrefslogtreecommitdiff
path: root/source4/lib/events/autogen.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2008-05-15 08:08:43 +1000
committerAndrew Bartlett <abartlet@samba.org>2008-05-15 08:08:43 +1000
commitd55e57ca99de4c094113c18bf18179923f641887 (patch)
treed16297afd1b1c1a58082acbdf3cc41c8da6916ec /source4/lib/events/autogen.sh
parentff7c537e278194453311ce9a310a8e24cb410d32 (diff)
parent8113bb07a8eaee2bce1290bff1f06856bc7c76e6 (diff)
downloadsamba-d55e57ca99de4c094113c18bf18179923f641887.tar.gz
samba-d55e57ca99de4c094113c18bf18179923f641887.tar.bz2
samba-d55e57ca99de4c094113c18bf18179923f641887.zip
Merge branch 'v4-0-test' of ssh://git.samba.org/data/git/samba into 4-0-local
(This used to be commit 618400fe7d1f469150b82e0aebc89b2104de116f)
Diffstat (limited to 'source4/lib/events/autogen.sh')
-rwxr-xr-xsource4/lib/events/autogen.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/source4/lib/events/autogen.sh b/source4/lib/events/autogen.sh
new file mode 100755
index 0000000000..b13a4b685d
--- /dev/null
+++ b/source4/lib/events/autogen.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+rm -rf autom4te.cache
+rm -f configure config.h.in
+
+IPATHS="-I libreplace -I lib/replace -I ../libreplace -I ../replace"
+IPATHS="$IPATHS -I lib/talloc -I talloc -I ../talloc"
+autoconf $IPATHS || exit 1
+autoheader $IPATHS || exit 1
+
+rm -rf autom4te.cache
+
+swig -O -Wall -python -keyword events.i # Ignore errors for now
+
+echo "Now run ./configure and then make."
+exit 0
+